const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel applications. By default, we are compiling the CSS
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.postCss('resources/css/bootstrap.css', 'public/css')
mix.postCss('resources/css/normalize.css', 'public/css')
mix.postCss('resources/css/main.css', 'public/css')
mix.postCss('resources/css/aos.css', 'public/css')

mix.js('resources/js/bootstrap.bundle.js', 'public/js')
mix.js('resources/js/jquery.js', 'public/js')
mix.js('resources/js/main.js', 'public/js')
mix.js('resources/js/aos.js', 'public/js')
mix.js('resources/js/api/API.js', 'public/js/api')

if (mix.inProduction()) {
   mix.version();
}

/*
 |--------------------------------------------------------------------------
 | Statamic Control Panel
 |--------------------------------------------------------------------------
 |
 | Feel free to add your own JS or CSS to the Statamic Control Panel.
 | https://statamic.dev/extending/control-panel#adding-css-and-js-assets
 |
 */

// mix.js('resources/js/cp.js', 'public/vendor/app/js')
//    .postCss('resources/css/cp.css', 'public/vendor/app/css', [
//     require('postcss-import'),
//     require('tailwindcss/nesting'),
//     require('tailwindcss'),
// ])
